	list      p=16f84a
        __CONFIG 03FFBh
;
;  
;
;  p pp
TMR0            EQU     01h
PC              EQU     02h
STATUS          EQU     03h
FSR             EQU     04h
; pp /
CNTRLPORT       EQU     05h
DATAPORT        EQU     06h
;  
I1              EQU     0Ch
I2              EQU     0Dh
L1              EQU     0Eh
I3              EQU     0Fh
I4              EQU     10h
L2              EQU     11h
L3              EQU     12h
;  pp STATUS
C               EQU     0h
DC              EQU     1h
Z               EQU     2h
PD              EQU     3h
TO              EQU     4h
RP              EQU     5h
; p pp
TRISA           EQU     85h
TRISB           EQU     86h
;    p /
INITA           EQU     B'00011000'
INITB           EQU     B'00000000'
;
;  
;
;   
        ORG     0
        GOTO    BEGIN
;
        ORG     100h
BEGIN
;  
        BCF     STATUS,RP    ;  0
        CLRF    CNTRLPORT    ;  CNTRLPORT
        MOVLW   INITA        ;p B'00011000'  pp W
        BSF     STATUS,RP    ;  1
        MOVWF   TRISA        ;      
;  
        BCF     STATUS,RP    ;  0
        CLRF    DATAPORT     ;  DATAPORT
        MOVLW   INITB        ;p B'00000000'  pp W
        BSF     STATUS,RP    ;  1
        MOVWF   TRISB        ;       
;
        BCF     STATUS,RP    ;  0
;
NACALO                       ; 
       MOVLW    B'01000000'
       MOVWF    DATAPORT     ;     ( )
       MOVLW    B'00000110'
       MOVWF    CNTRLPORT    ; 
START
       BTFSC    CNTRLPORT,3  ;  ,   (1  )
       CALL     LED0
       BTFSS    CNTRLPORT,3  ;  ,   (0  )
       CALL     LED1
       GOTO     START        ;  
;
LED0
       MOVLW    B'01000000'
       MOVWF    DATAPORT
       BTFSC    CNTRLPORT,3  ;  ,   (1  )
       GOTO     LED0
       MOVLW    015h         ; 013h   W
       MOVWF    I4           ;  W  I4
       CALL     PAUSE
       RETURN                ;  
;
LED1
       MOVLW    B'11111001'
       MOVWF    DATAPORT
       BTFSS    CNTRLPORT,3  ;  ,   (0  )
       GOTO     LED1
       MOVLW    06h         ; 013h   W
       MOVWF    I4           ;  W  I4
       CALL     PAUSE
       RETURN                ;  
;
PAUSE
       MOVLW    0FFh         ; 0FFh   W
       MOVWF    I3           ;  W  I3
LOOP3
       MOVLW    0FFh         ; 0FFh   W
       MOVWF    I2           ;  W  I2
LOOP2
       DECFSZ   I2,1         ; I2  1
       GOTO     LOOP2        ;  ,    =0
       DECFSZ   I3,1         ; I3  1
       GOTO     LOOP3        ;    LOOP3,    =0
       DECFSZ   I4,1         ; I4  1
       GOTO     PAUSE       ;    PAUSE2,    =0
       RETURN                ;  
;
END
;

